# ATHexBinaryOrDerived Class Reference

`#include <ATHexBinaryOrDerived.hpp>`

Inheritance diagram for ATHexBinaryOrDerived:

[legend]
List of all members.

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual int | compare (const ATHexBinaryOrDerived::Ptr &other, const DynamicContext *context) const =0
| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Function Documentation

virtual const XMLCh* ATHexBinaryOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual int ATHexBinaryOrDerived::compare | ( | const ATHexBinaryOrDerived::Ptr & | other,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

virtual bool ATHexBinaryOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATHexBinaryOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATHexBinaryOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATHexBinaryOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATHexBinaryOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

The documentation for this class was generated from the following file:

- ATHexBinaryOrDerived.hpp